exp=0
mark=mm_finetune$exp
output=ft_outputs/$mark/
pt_data=pt_data/
logs=logs/$mark
tb_logs=tensorboard/ft_$mark/

# * Load model and memory
model=model_4670_3.6940 
pt_model=${exp}/$model
mm_dir=None

mkdir -p  ${output} ${tb_logs} $pt_data ${output}/compare

# * Running experiments
echo "Begin finetuning!"
python finetune.py \
  --cuda --model trs --batch_size 16 --lr 0.01 --meta_lr 0.0003 --meta_batch_size 16 --meta_optimizer adam --pretrain_emb  \
  --emb_dim 300 --hidden_dim 300 --use_memory=true --store_ratio=0.8 --adapt_num=20 --ft_iters=20 --check_sentence=true --rnn_hidden=1024 --other_lr=0.01 --neighbor_num=10 \
  --save_path $output --save_pt_data $pt_data --save_tb $tb_logs --memory_path=$mm_dir --pt_model $pt_model \
  --use_sgd --test --weight_sharing=true --pointer_gen=true \
  > ${logs}.log 2> ${logs}.err 
